/*
**      File Name :     Test.c
**
**      Author  :       D. Maidment 
**
**      Date    :       23/10/95
**
**      Description :   File to generate window independantly of function
**                      in order to compare accuracy of results.
**
**
*/
#include <stdio.h>
#include <math.h>
#include <string.h>
#include <float.h>
#include <ensigdsp.h>
#define  LEN    128
#define  SC     32767
#define  TWOPI  6.283185308

void

main()
{


        int     VLEN;
        short   output[LEN];

/* Generate Blackman Window Function*/

        for ( VLEN = 0; VLEN <= 128; VLEN ++)
                output[VLEN] = floor(SC * (0.42 - 0.5 * cos(TWOPI * VLEN / LEN) + 0.08 * cos(2 * TWOPI * VLEN / LEN)));




}
